// CITPPlayerAtlEvents.h : 由 Microsoft Visual C++ 创建的 ActiveX 控件包装类的声明

#pragma once

/////////////////////////////////////////////////////////////////////////////
// CITPPlayerAtlEvents

class CITPPlayerAtlEvents : public COleDispatchDriver
{
public:
	CITPPlayerAtlEvents() {}		// 调用 COleDispatchDriver 默认构造函数
	CITPPlayerAtlEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CITPPlayerAtlEvents(const CITPPlayerAtlEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// 属性
public:

// 操作
public:

	STDMETHOD(OnMouseEvent)(long uMsg, long wParam, long lParam)
	{
		HRESULT result;
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_I4 ;
		InvokeHelper(0x1, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, uMsg, wParam, lParam);
		return result;
	}
	STDMETHOD(OnEvent)(long eventCode, LPCTSTR eventDescript)
	{
		HRESULT result;
		static BYTE parms[] = VTS_I4 VTS_BSTR ;
		InvokeHelper(0x2, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, eventCode, eventDescript);
		return result;
	}


};
